- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::BlockMatcher Class Reference

Class to do block matching. More...

`#include <block_match.h>`

List of all members.

## Public Member Functions
| BlockMatcher (const PicArray &ref_data, const PicArray &pic_data, const OLBParams &bparams, const MvArray &mv_array, const TwoDArray< MvCostData > &cost_array)
| Constructor.
void | FindBestMatch (int xpos, int ypos, const CandidateList &cand_list, const MVector &mv_prediction, float lambda)
| Find the best matching vector from a list of candidates.
void | FindBestMatchSubp (int xpos, int ypos, const CandidateList &cand_list, const MVector &mv_prediction, float lambda)
| Find the best matching vector from a list of candidates, to sub-pixel accuracy (TBC: merge with FindBestMatch).

## Detailed Description

Class to do block matching.

Definition at line 104 of file block_match.h.

## Constructor & Destructor Documentation

dirac::BlockMatcher::BlockMatcher | ( | const PicArray & | ref_data,
|  | const PicArray & | pic_data,
|  | const OLBParams & | bparams,
|  | const MvArray & | mv_array,
|  | const TwoDArray< MvCostData > & | cost_array
| ) |

  | Constructor. Constructor Parameters:
  | ref_data | the reference picture component
  | pic_data | the picture being matched
  | bparams | the (overlapped) block parameters to be used for the matching
  | mv_array | the array of vectors we're going to write into
  | cost_array | the array of costs we're going to write into
Definition at line 217 of file block_match.cpp.

## Member Function Documentation

void dirac::BlockMatcher::FindBestMatch | ( | int | xpos,
|  | int | ypos,
|  | const CandidateList & | cand_list,
|  | const MVector & | mv_prediction,
|  | float | lambda
| ) |

  | Find the best matching vector from a list of candidates. Find the best matching vector from a list of candidates. Parameters:
  | xpos | the horizontal location of the block being matched
  | ypos | the vertical location of the block being matched
  | cand_list | the list of candidate vectors
  | mv_prediction | the prediction for the motion vector
  | lambda | the Lagrangian parameter
Definition at line 230 of file block_match.cpp. References dirac::BlockDiff::Diff(), dirac::GetVar(), dirac::TwoDArray< T >::LengthX(), dirac::TwoDArray< T >::LengthY(), dirac::MvCostData::mvcost, dirac::MvCostData::SAD, dirac::BlockDiffParams::SetBlockLimits(), dirac::MvCostData::SetTotal(), dirac::MvCostData::total, dirac::MotionVector< T >::x, dirac::OLBParams::Xblen(), dirac::BlockDiffParams::Xl(), dirac::BlockDiffParams::Xp(), dirac::MotionVector< T >::y, dirac::OLBParams::Yblen(), dirac::BlockDiffParams::Yl(), and dirac::BlockDiffParams::Yp().

void dirac::BlockMatcher::FindBestMatchSubp | ( | int | xpos,
|  | int | ypos,
|  | const CandidateList & | cand_list,
|  | const MVector & | mv_prediction,
|  | float | lambda
| ) |

  | Find the best matching vector from a list of candidates, to sub-pixel accuracy (TBC: merge with FindBestMatch). Find the best matching vector from a list of candidates. Parameters:
  | xpos | the horizontal location of the block being matched
  | ypos | the vertical location of the block being matched
  | cand_list | the list of candidate vectors
  | mv_prediction | the prediction for the motion vector
  | lambda | the Lagrangian parameter
Definition at line 354 of file block_match.cpp. References dirac::BlockDiff::Diff(), dirac::GetVar(), dirac::TwoDArray< T >::LengthX(), dirac::TwoDArray< T >::LengthY(), dirac::MvCostData::mvcost, dirac::MvCostData::SAD, dirac::BlockDiffParams::SetBlockLimits(), dirac::MvCostData::SetTotal(), dirac::MvCostData::total, dirac::MotionVector< T >::x, dirac::BlockDiffParams::Xl(), dirac::BlockDiffParams::Xp(), dirac::MotionVector< T >::y, dirac::BlockDiffParams::Yl(), and dirac::BlockDiffParams::Yp().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_motionest/block_match.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_motionest/block_match.cpp